Name:		egd
Summary: 	Entropy Gathering Daemon
Version:	0.9
Release:	12%{?dist}
License:	GPL+ or MIT
Group:		Applications/System
Source0:	http://download.sourceforge.net/egd/%{name}-%{version}.tar.gz
URL:		http://egd.sourceforge.net/
# https://bugzilla.redhat.com/show_bug.cgi?id=784384
# https://sourceforge.net/tracker/?func=detail&aid=3479661&group_id=13778&atid=113778
Patch0:         egd-0.9-ip-neigh.patch
BuildRequires:	perl(Digest::SHA1), perl(ExtUtils::MakeMaker), perl(FindBin), perl(IO::Socket)
BuildArch:	noarch
# These are necessary for egd to do anything useful for entropy.
Requires:	procps, iproute, coreutils, util-linux, tcpdump

%description
EGD is an Entropy Gathering Daemon meant to be used on systems that can run GPG 
but which don't have a convenient (or reliable) source of random bits. It is a 
regular user-space program that sits around, running programs like 'w' and 
'last' and 'vmstat', collecting the randomness (or at least the 
unpredictability) inherent in the output of these system statistics programs 
when used on a reasonably busy system. It slowly stirs the output of these 
gathering programs into a pool of entropy, much like the linux kernel device, 
and allows other programs to read out random bits from this pool.

%prep
%setup -q
%patch0 -p1 -b .neigh

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
# Test doesn't work on F-9 builder. No idea why. Works fine locally.
# make test

%files
%doc COPYING COPYING.xfree86 README
%{_bindir}/egd.pl

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 0.9-10
- Perl 5.18 rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jan 25 2012 Tom Callaway <spot@fedoraproject.org> - 0.9-7
- add patch from Jiri Popelka to use ip neigh instead of arp -a (bz 784384)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Mar 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.9-2
- disable tests on f9 due to builder weirdness

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.9-1
- Initial package for Fedora
